<?php
namespace app\api\route;

use app\api\middleware\AllowOriginMiddleware;
use app\api\middleware\SeretKeyMiddleware;
use think\facade\Config;
use think\facade\Route;
use think\Response;

/**
 * 无需授权的接口
 */
Route::group('login',function () {
    //用户登录
    Route::rule('l', 'v1.login/l');
    //获取验证码
    Route::rule('yzm','v1.login/yzm');
    //注册reg第一步
    Route::rule('reg1','v1.login/reg1');
    //注册reg第二步
    Route::rule('reg2','v1.login/reg2');
    //忘记密码验证码
    Route::rule('forgetYzm','v1.login/forgetYzm');
    //忘记密码第一步
    Route::rule('forget1','v1.login/forget1');
    //忘记密码第二步
    Route::rule('forget2','v1.login/forget2');
    //忘记密码第二步
    Route::rule('mreg','v1.login/mreg');

})->middleware([
    AllowOriginMiddleware::class
]);
